#
# spec file for package gmerlin-encoders
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2005-2010 oc2pus
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _prefix /usr
%define rev     4256
%define pkg_name gmerlin_encoders
Name:           gmerlin-encoders
Version:        1.2.0rsvn%{rev}
Release:        1699.5.pm.1
Summary:        Various encoder plugins for gmerlin
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://gmerlin.sourceforge.net/
# svn co http://svn.code.sf.net/p/gmerlin/code/trunk/gmerlin_encoders/
Source0:        %{name}-%{rev}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  libfaac-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  pkgconfig >= 0.9
BuildRequires:  pkgconfig(flac) >= 1.1.0
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gmerlin) >= 1.2.0
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libpostproc) = 53.3.100
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mjpegtools) > 1.9
BuildRequires:  pkgconfig(ogg) >= 1.1
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(schroedinger-1.0)
BuildRequires:  pkgconfig(shout)
BuildRequires:  pkgconfig(speex) >= 1.0.4
BuildRequires:  pkgconfig(theoradec)
BuildRequires:  pkgconfig(theoraenc)
BuildRequires:  pkgconfig(vorbis) >= 1.0
BuildRequires:  pkgconfig(x264)
Requires:       gmerlin >= 0.4.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Various encoder plugins for package gmerlin.

%lang_package

%prep
%setup -q -n %{pkg_name}

%build
./autogen.sh
%ifarch %{ix86} x86_64
params=--with-cpuflags=-march=core2
%endif
%ifarch aarch64
params=--with-cpuflags=-march=armv8-a
%endif
%configure $params

%make_build

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%find_lang %{name}

find %{buildroot} -type f -name "*.la" -delete -print

%files lang -f %{name}.lang
%defattr(-,root,root)

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_libdir}/gmerlin
%dir %{_libdir}/gmerlin/plugins
%{_libdir}/gmerlin/plugins/*.so

%changelog
* Fri Sep  8 2023 Bernhard M. Wiedemann <packmanbmw@lsmod.de>
- Always build for core2/armv8-a instead of a random build-machine CPU (boo#1100677)
* Thu Feb 26 2015 avvissu@yandex.ru
- Update to rsvn4256
- Remove all patches (fixed in upstream):
  * gmerlin-encoders-debian-libav.patch
  * gmerlin-encoders-debian-libav10.patch
- Use pkgconfig in package names
- Spec file cleanup
* Fri Mar 28 2014 seife+obs@b1-systems.com
- update to 1.2.0
- add patches from debian to fix build against current ffmpeg
* Sat May 19 2012 seife+obs@b1-systems.com
- remove obsolete %%suse_update_config and %%suse_update_libdir
  to fix build on > 12.1
* Thu Mar 10 2011 toni@links2linux.de
- update to 1.0.0
* Sat Feb 27 2010 toni@links2linux.de
- update to 0.2.9
* Thu Feb 25 2010 toni@links2linux.de
- update to 0.2.8
* Mon Oct 19 2009 toni@links2linux.de
- update to 0.2.7
* Thu Dec 18 2008 toni@links2linux.de
- rebuild with new gavl/gmerlin packages
* Mon Dec  1 2008 toni@links2linux.de
- rebuild with new ffmpeg packages
* Tue Jul 22 2008 toni@links2linux.de
- update to 0.2.6
* Thu Jan 10 2008 toni@links2linux.de
- update to 0.2.5
* Sun Dec 30 2007 toni@links2linux.de
- rebuild with new libx264(-devel) package
* Wed Nov  7 2007 toni@links2linux.de
- rebuild with libdca-0.0.5
* Fri May 11 2007 toni@links2linux.de
- update to 0.2.4
* Sat Dec  9 2006 toni@links2linux.de
- update to 0.2.3
* Mon Sep 18 2006 toni@links2linux.de
- build for packman
* Wed Jul 12 2006 oc2pus@arcor.de - 0.2.2-0.oc2pus.1
- update to 0.2.2
* Wed Apr 12 2006 oc2pus@arcor.de - 0.2.1-0.oc2pus.2
- corrected file-rights
* Sat Feb  4 2006 oc2pus@arcor.de - 0.2.1-0.oc2pus.1
- update to 0.2.1
* Fri Nov 18 2005 oc2pus@arcor.de - 0.2.0-0.oc2pus.1
- initial version 0.2.0
